CREATE TABLE hwm_rule_ff_work_log (
    LOG_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    FFS_ID                   NUMBER(18, 0)     NOT NULL,
    RULE_ID                  NUMBER(18, 0) ,
    LOG_TYPE                 VARCHAR2(120) ,
    LOG_GROUP_TYPE           VARCHAR2(120) ,
    APP_NAME                 VARCHAR2(120) ,
    LOG_SEVERITY             VARCHAR2(120) ,
    LOG_TEXT                 VARCHAR2(4000),
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LOG_ID                   NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    FFS_ID                   NUMBER(18, 0)     NOT NULL,
    RULE_ID                  NUMBER(18, 0) ,
    LOG_TYPE                 VARCHAR2(120) ,
    LOG_GROUP_TYPE           VARCHAR2(120) ,
    APP_NAME                 VARCHAR2(120) ,
    LOG_SEVERITY             VARCHAR2(120) ,
    LOG_TEXT                 VARCHAR2(4000),
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_hwm_rule_ff_work_log PRIMARY KEY (LOG_ID, LOG_ID)
);
